function onBegin()
    waitUntilOnGround()
    makeUnskippable()
	player.ForceCameraUpdate = true
    disableRetry()
    disableMovement()
	playSound("event:/game/04_cliffside/gondola_finish")
	shake()
	walkTo(59504, false, 3.4, true)
	shake()
	walkTo(59608, false, 6.1, true)
	shake()
	player.DummyAutoAnimate = false
	player.Sprite:Play("duck", true, false)
	walkTo(59670, false, 1, true)
	player.DummyAutoAnimate = true
    end

function onEnd()
    enableRetry()
    enableMovement()
	player.ForceCameraUpdate = false
end